apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.name }}
  labels:
{{ include "wz.labels" . | indent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
{{ include "wz.selectors" . | indent 6 }}
  template:
    metadata:
      labels:
{{ include "wz.selectors" . | indent 8 }}
    spec:
      imagePullSecrets:
        - name: gcp-docker-config    
      containers:
      - name: {{ .Values.name }}
        image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
        resources:
{{- toYaml .Values.resources | nindent 10 }}
        ports:
          - name: http
            containerPort: 8080
            protocol: TCP
        env:
        - name: JAVA_OPTS
          value: {{ .Values.java_opts | quote }}
        - name: SERVER_PORT
          value: "8080"
{{- if .Values.envFrom }}
        envFrom:
          - configMapRef:
              name: {{ .Values.envFrom }}
{{- end  }}
        #livenessProbe:
        #  httpGet:
        #    path: /actuator/health
        #    port: 8080
        #  initialDelaySeconds: 50
        #  periodSeconds: 6